<?php

include('begin.inc');

$ID 	= $_GET['ID'];
$FROM 	= $_GET['from'];
$TO 	= $_GET['to'];
$dir = 'build/images/gallerie_'.$ID.'/';



if (is_dir($dir)) 
{
	
	if ($dh = opendir($dir)) 
	{
		$NUMMER_BILD = 0;
		while (($file = readdir($dh)) !== false) 
		{
			$PFAD = $dir.''.$file;
			if (is_file($PFAD))
			{	
				$ARRAY_BILDER[$NUMMER_BILD] = $dir.''.$file;
				$ARRAY_THUMBNAILS[$NUMMER_BILD] = $dir.'thumbnails/'.$file;
				$NUMMER_BILD++;
				
			}	
		}
		closedir($dh);
	}
}

$HTML_CODE=$HTML_CODE.'
<div id="container">
<center>
';

if (count($ARRAY_BILDER)>10)
{
	
	$SEITEN_ANZAHL =(count($ARRAY_BILDER)-count($ARRAY_BILDER)%10)/10;

	for ($i=0;$i<$SEITEN_ANZAHL;$i++)
	{
		$FROM_NAVI	=$i*10;
		$TO_NAVI	=$FROM_NAVI+9;
		$SEITE=$i+1;
	
		$HTML_CODE=$HTML_CODE.'
		<a href="gallerie.php?ID='.$ID.'&from='.$FROM_NAVI.'&to='.$TO_NAVI.'">'.$SEITE.'</a>';
	
	}

	if(count($ARRAY_BILDER)%10>0)
	{
		$MODU = count($ARRAY_BILDER)%10-1;

		$FROM_NAVI =$SEITE*10;
		$TO_NAVI   =$FROM_NAVI+$MODU;
		$SEITE++;

		$HTML_CODE=$HTML_CODE.'
		<a href="gallerie.php?ID='.$ID.'&from='.$FROM_NAVI.'&to='.$TO_NAVI.'">'.$SEITE.'</a>';
	}

	$HTML_CODE=$HTML_CODE.'
	</center>
	';


	for($i=$FROM;$i<=$TO;$i++)
	{
		$HTML_CODE=$HTML_CODE.'
		<a class="pics" href="#nogo" tabindex="1"><img class="thumb" src="'.$ARRAY_THUMBNAILS[$i].'" alt="" />
		<span><img src="'.$ARRAY_BILDER[$i].'" alt="" title="" /><br /></span>
		</a>
		';
	}

}

else
{
	for($i=0;$i<count($ARRAY_BILDER);$i++)
	{
		$HTML_CODE=$HTML_CODE.'
		<a class="pics" href="#nogo" tabindex="1"><img class="thumb" src="'.$ARRAY_THUMBNAILS[$i].'" alt="" />
		<span><img src="'.$ARRAY_BILDER[$i].'" alt="" title="" /><br /></span>
		</a>
		';
	}
	
}

$HTML_CODE=$HTML_CODE.'
			<span class="info">Zum Anschauen bitte ein Bild ausw&auml;hlen.</span>
			</div>
			';

  include('end.inc');

?>
